Page MenuHomePhabricator

Accidentally switching to international phonetic alphabet by shortcut key (Ctrl+Enter / Cmd+Enter)
Closed, ResolvedPublic

Description

In several MediaWiki projects, when you enter edit mode (non-visual), and you type control+enter (which is in several websites the shortkey for 'save'/'send' - including phabricator), you switch to international phonetic alphabet. A tiny box in the lower right tells you this, but that is easily overlooked.

A different shortkey would be preferable perhaps, it is quite hard to understand the problem once you run into this.

The issue seems to play at least at en.wikivoyage and not at es.wikipedia (I've seen it elsewhere too, but can't reproduce where).

Event Timeline

Effeietsanders raised the priority of this task from to Needs Triage.
Effeietsanders updated the task description. (Show Details)
Effeietsanders added a subscriber: Effeietsanders.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2015, 3:55 PM
Effeietsanders set Security to None.

Is this related to ULS?

Is this related to ULS?

Yep - it looks like Control+Enter toggles the ULS input method. This can also be done with Control+M as mentioned in the docs - Control+Enter isn't listed as a shortcut there, though.

aude added a subscriber: aude.Jul 31 2015, 5:22 PM

i must have accidentially enabled it? (it's not default now?)

the input tools do strange things when I am typing wikitext, especially stuff like "~~~~" and "::" for indenting.

I keep hitting this when trying to submit the search form into a new browser tab, which has the same shortcut.

matmarex renamed this task from Accidentally switching to international phonetic alphabet by shortkey to Accidentally switching to international phonetic alphabet by shortcut key (Ctrl+Enter / Cmd+Enter).Aug 11 2015, 9:02 PM
santhosh claimed this task.May 18 2016, 5:29 AM
santhosh triaged this task as Normal priority.

Change 289350 had a related patch set uploaded (by Santhosh):
Update jquery.ime to d563f903c9e

https://gerrit.wikimedia.org/r/289350

Change 289350 merged by jenkins-bot:
Update jquery.ime to d563f903c9e

https://gerrit.wikimedia.org/r/289350

Arrbee added a subscriber: Arrbee.May 31 2016, 4:48 AM

Verified on beta. Cmd+Enter and Ctrl+Enter are not toggling the input method any more.

Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 3 board.May 31 2016, 4:49 AM
Arrbee closed this task as Resolved.May 31 2016, 7:02 AM